# Uses of Class
org.apache.avro.file.DataFileReader

Packages that use DataFileReader
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of DataFileReader in org.apache.avro.file

Methods in org.apache.avro.file that return DataFileReader
Modifier and Type
Method
Description
`static <D> DataFileReader<D>`
DataFileReader.`openReader(SeekableInput in, DatumReader<D> reader, DataFileStream.Header header, boolean sync)`
Construct a reader for a file at the current position of the input, without reading the header.